Subject: Re: Last Call: <draft-ietf-appsawg-xml-mediatypes-09.txt> (XML Media Types) to Proposed Standard

From: t.p. <[email-masked]>
Date: Fri, 7 Mar 2014 18:04:51 +0000

Sent again with the updated section number for -09.

I wonder if the IETF has the authority to do what is called for in s9.6,
where the change controller for +xml is changed from IETF to W3C.  I am
minded of the change of the MIB module for Ethernet in the First Mile
from IETF to IEEE which started off saying something similar but ended
up as RFC7124 which documents more what the IETF is giving up, leaving
the IEEE to document what it is picking up. I appreciate that we have a
post from Paul Grosso to this list saying that the W3C approves of this
I-D, but then, as ever, he, like me, is contributing as an individual.
Should we have something more formal from the W3C to confirm that they
are taking up the burden of responsibility for this?

Note that s9.6 may not be wholy clear to those who have not followed
discussions of this on the list although -09 is clearer than its
predecessors.

RFC6838 says that a registration of a suffix must contain
"Person (including contact information) authorized to change this suffix
registration."

RFC6839, which this updates, says in s4.1
"   Author/Change controller:  The Apps Area Working Group.  IESG has
change control over this registration. " which is the current status.

This I-D, in s9.6, says
" Change controller:  The XML specification is a work product of the
      World Wide Web Consortium's XML Core Working Group.  The W3C has
      change control over RFC XXXX.
"

Discussion on the list clarified that the second sentence
refers to the specification of the registration of '+xml'
and not to the specification of  XML itself!

The insertion of the first sentence in s9.6 of this I-D may seem a
little odd, but RFC3023, which this I-D supersedes, says
"The W3C, and the W3C XML Core Working Group, have change control over
the XML specification."
which is interesting but irrelevant, IMO.

Tom Petch

>
> ----- Original Message -----
> From: "The IESG" <[email-masked]>
> To: "IETF-Announce" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Monday, March 03, 2014 10:04 AM
> Subject: Last Call: <draft-ietf-appsawg-xml-mediatypes-09.txt> (XML
> Media Types) to Proposed Standard
>
>
> >
> > The IESG has received a request from the Applications Area Working
> Group
> > WG (appsawg) to consider the following document:
> > - 'XML Media Types'
> >   <draft-ietf-appsawg-xml-mediatypes-09.txt> as Proposed Standard
> >
> > The IESG plans to make a decision in the next few weeks, and
solicits
> > final comments on this action. Please send substantive comments to
the
> > [email-masked] mailing lists by 2014-03-17. Exceptionally, comments
may
> be
> > sent to [email-masked] instead. In either case, please retain the
> > beginning of the Subject line to allow automated sorting.
> >
> > Abstract
> >
> >    This specification standardizes three media types --
> application/xml,
> >    application/xml-external-parsed-entity, and
application/xml-dtd --
> >    for use in exchanging network entities that are related to the
> >    Extensible Markup Language (XML) while defining text/xml and
text/
> >    xml-external-parsed-entity as aliases for the respective
> application/
> >    types.  This specification also standardizes the '+xml' suffix
for
> >    naming media types outside of these five types when those media
> types
> >    represent XML MIME entities.
> >
> >
> > Note that this document has normative references to eight W3C
> documents,
> > as well as two Informational RFCs.  The Informational RFCs are:
> > 1. RFC 2781, "UTF-16, an encoding of ISO 10646"
> > 2. RFC 6839, "Additional Media Type Structured Syntax Suffixes"
> >
> > Both of those documents should be added to the downref registry
> (http://trac.tools.ietf.org/group/iesg/trac/wiki/DownrefRegistry)
after
> this last
> > call completes.
> >
> >
> > The file can be obtained via
> > http://datatracker.ietf.org/doc/draft-ietf-appsawg-xml-mediatypes/
> >
> > Once IESG discussion begins, it can be tracked via
> >
>
http://datatracker.ietf.org/doc/draft-ietf-appsawg-xml-mediatypes/ballot
> /
> >
> > No IPR declarations have been submitted directly on this I-D.
> >
>